Attribute VB_Name = "Module1"
Public Declare Function GetTempFilename Lib "kernel32" Alias "GetTempFileNameA" (ByVal lpszPath As String, ByVal lpPrefixString As String, ByVal wUnique As Long, ByVal lpTempFileName As String) As Long
Public Declare Function GetTempPath Lib "kernel32" Alias "GetTempPathA" (ByVal nBufferLength As Long, ByVal lpBuffer As String) As Long

Public Function GetTemporaryFilename(Optional Prefix _
    As String = "") As String

    On Error GoTo TempNameErr

    Dim lngReturnVal As Long
    
    Dim strTempPath As String * 255
    Dim strTempFilename As String * 255
    
    lngReturnVal = GetTempPath(254, strTempPath)
    lngReturnVal = GetTempFilename(strTempPath & "\", Prefix, 0, strTempFilename)
    
    GetTemporaryFilename = strTempFilename
    
    Exit Function
    
TempNameErr:

    ' Enter any error handling here.
    MsgBox "Cannot retrieve temporary filename - " & _
        Err.Description

End Function


